## helma.objectmodel.db
Interface Key

All Known Implementing Classes:
  DbKey, MultiKey, SyntheticKey

    public interface Key

This is the interface for the internal representation of an object key.

Method Summary
`java.lang.String` `getID()` Get the key's ID part
`Key` `getParentKey()` Get the key's parent key
`java.lang.String` `getStorageName()` Get the key's storage id

Method Detail

### getParentKey

    Key getParentKey()

  Get the key's parent key

  Returns:
    ...

### getID

    java.lang.String getID()

  Get the key's ID part

  Returns:
    ...

### getStorageName

    java.lang.String getStorageName()

  Get the key's storage id

  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.